#pragma once

#include <JuceHeader.h>

class CMLSReverb : public juce::dsp::ProcessorBase {
    public:
        CMLSReverb();
        ~CMLSReverb() override;

	    void reset() override;
        void prepare(const juce::dsp::ProcessSpec&) override;
		void process(const juce::dsp::ProcessContextReplacing<float>&) override;

        // Parameter setters
        void setDryWet(float value);
        void setRoomSize(float value);

        // Parameter getters
	    const float getDryWet();
	    const float getRoomSize();
    
    private:
        juce::Reverb reverb;
        juce::Reverb::Parameters reverbParams;
};